<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Positions</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">

    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Positions
                </div>
            </div>
        </div>
        <div class="alert alert-success" th:if="${success != null}">
            <h4>Save Data Success!</h4>

            <p>Data Berhasil Disimpan.</p>
        </div>

        <div class="alert alert-danger" th:if="${gagal != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p>Data Tidak dapat dihapus..</p>
        </div>

        <div class="alert alert-danger" th:if="${gagalkaryawan != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p>Data Tidak dapat dihapus karena ada karyawan yang menjabat di posisi ini..</p>
        </div>

        <form method="get">
            <div class="row">
                <div class="col-md-6">
                    <!--            <h3 class="box-title">List of Budget Line</h3>-->
                    <p><a class="link-primary" th:href="@{/masterdata/jabatan/baru}" role="button">Klik disini</a> jika anda ingin mendaftarkan posisi baru. </p>
                </div>
                <div class="col-md-6" align="right">

                </div>
            </div>
            <div class="row">
                <div class="col-md-9">
                    Show entries <span sd:page-size-selector="javascript"></span>
                </div>

                <div class="col-md-3" align="right">
                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>
            </div>
            <br>
        </form>
        <div class="row">
            <div class="col-md-12">
                <div class="tableFixHead">
                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg:#15408d;">
                        <tr>
                            <th scope="col" style="width: 10px">#</th>
                            <th scope="col">Code</th>
                            <th scope="col">Position</th>
                            <th scope="col">Description</th>
                            <th scope="col">Status</th>
                            <th scope="col">Approval</th>
                            <th scope="col">Options</th>
                            <th scope="col" style="width: 40px"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="dataJabatan,row : ${listJabatan}">
                            <td th:text="${(row.index + 1) + (listJabatan.number * listJabatan.size)}">1.</td>
                            <td th:text="${dataJabatan[1]}">BEASISWA</td>
                            <td th:text="${dataJabatan[2]}">Pendapatan dari Beasiswa</td>
                            <td th:text="${dataJabatan[3]}">-</td>
                            <td th:text="${dataJabatan[4]}">AKTIF</td>
                            <td>
                                <pre th:text="${dataJabatan[5]}">

                                </pre>
                            </td>
                            <td>
                                <a th:href="@{/masterdata/jabatan/detail(detail = ${dataJabatan[0]})}" class="link-primary">Detail</a>
                                <a th:href="@{/masterdata/jabatan/edit(id = ${dataJabatan[0]})}" class="link-success">Edit</a>
                            </td>
                            <td>
                                <form method="post" th:action="@{/masterdata/jabatan/hapus(jabatan=${dataJabatan[0]})}">
                                    <button type="submit" class="btn btn-danger" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <br>

                <nav aria-label="Page navigation example">
                    <ul class="pagination" sd:pagination="full">
                    </ul>
                </nav>
            </div>
        </div>
    </main>
</main>

</body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Position</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--        <h1>-->
<!--            Position-->
<!--            <small>List Data</small>-->
<!--        </h1>-->
<!--        <ol class="breadcrumb">-->
<!--            <li class="treeview active"> Master Data</li>-->
<!--            <li class="active"> Position</li>-->
<!--        </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--        <div class="row">-->
<!--            <div class="col-md-12">-->

<!--                <div class="callout callout-success" th:if="${success != null}">-->
<!--                    <h4>Save Data Success!</h4>-->

<!--                    <p>Data Berhasil Disimpan.</p>-->
<!--                </div>-->

<!--                <div class="callout callout-danger" th:if="${gagal != null}">-->
<!--                    <h4>Save Data Unsuccesfully!</h4>-->

<!--                    <p>Data Tidak dapat dihapus..</p>-->
<!--                </div>-->

<!--                <div class="callout callout-danger" th:if="${gagalkaryawan != null}">-->
<!--                    <h4>Save Data Unsuccesfully!</h4>-->

<!--                    <p>Data Tidak dapat dihapus karena ada karyawan yang menjabat di posisi ini..</p>-->
<!--                </div>-->


<!--                <div class="box">-->
<!--                    <form method="get">-->
<!--                        <div class="box-header with-border">-->
<!--                            <div class="row">-->
<!--                                <div class="col-md-6">-->
<!--                                    <h3 class="box-title">List of Position</h3>-->
<!--                                </div>-->
<!--                                <div class="col-md-6" align="right">-->
<!--                                    Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="box-header with-border">-->
<!--                            <div class="row">-->
<!--                                <div class="col-md-6">-->
<!--                                    <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                        <a th:href="@{/masterdata/jabatan/baru}" name="tambah" type="button" class="btn btn-block btn-primary"> + NEW POSITION </a>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                                <div class="col-md-6" align="right">-->
<!--                                    <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                        <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">-->
<!--                                        <div class="input-group-btn">-->
<!--                                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </form>-->
<!--                    <div class="box-body table-responsive no-padding">-->
<!--                        <table class="table table-bordered">-->
<!--                            <tr>-->
<!--                                <th style="width: 10px">#</th>-->
<!--                                <th>Code</th>-->
<!--                                <th>Position</th>-->
<!--                                <th>Description</th>-->
<!--                                <th>Status</th>-->
<!--                                <th>Options</th>-->
<!--                                <th style="width: 40px"></th>-->
<!--                            </tr>-->
<!--                            <tr th:each="dataJabatan,row : ${listJabatan}">-->
<!--                                <td th:text="${(row.index + 1) + (listJabatan.number * listJabatan.size)}">1.</td>-->
<!--                                <td th:text="${dataJabatan.kodeJabatan}">BEASISWA</td>-->
<!--                                <td th:text="${dataJabatan.namaJabatan}">Pendapatan dari Beasiswa</td>-->
<!--                                <td th:text="${dataJabatan.departemen.namaDepartemen}">-</td>-->
<!--                                <td th:text="${dataJabatan.statusAktif}">AKTIF</td>-->
<!--                                <td>-->
<!--                                    <a th:href="@{/masterdata/jabatan/detail(detail = ${dataJabatan.id})}" class="btn btn-primary btn-xs">Detail</a>-->
<!--                                    <a th:href="@{/masterdata/jabatan/edit(id = ${dataJabatan.id})}" class="btn btn-success btn-xs">Edit</a>-->
<!--                                </td>-->
<!--                                <td>-->
<!--                                    <form method="post" th:action="@{/masterdata/jabatan/hapus(jabatan=${dataJabatan.id})}">-->
<!--                                        <button type="submit" class="btn btn-danger btn-xs"-->
<!--                                                onclick="return confirm('Are you sure want to delete this?')">-->
<!--                                            Delete-->
<!--                                        </button>-->
<!--                                    </form>-->
<!--                                </td>-->
<!--                            </tr>-->
<!--                            <tr>-->
<!--                                <th style="width: 10px">#</th>-->
<!--                                <th>Code</th>-->
<!--                                <th>Position</th>-->
<!--                                <th>Description</th>-->
<!--                                <th>Status</th>-->
<!--                                <th>Options</th>-->
<!--                                <th style="width: 40px"></th>-->
<!--                            </tr>-->
<!--                        </table>-->
<!--                    </div>-->
<!--                    <div class="box-footer clearfix">-->
<!--                        <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                            <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                    aria-hidden="true">&laquo;</span></a>-->
<!--                            </li>-->
<!--                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                            </li>-->
<!--                        </ul>-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->